L = 2.0; // Length of pipe
H = 1.0;  // Height of pipe
B = 1.0;  // Width of pipe

number_nodes_l = 1; // number of nodes in length
number_nodes_h = 1; //  number of nodes in height
number_nodes_b = 1; //  number of nodes in width


mesh_element_size = 1.0; 

Point(1) = {0, 0, 0, mesh_element_size};
Extrude {0, 0,  H} { Point{1}; Layers{number_nodes_h}; Recombine; }
Extrude {0,  B, 0} { Line{1}; Layers{number_nodes_b}; Recombine; }
Extrude {L, 0, 0} { Surface{5}; Layers{number_nodes_l}; Recombine; }


Recombine Surface "*";

Transfinite Volume "*";



//+
Physical Volume("body") = {1};
//+
Physical Surface("input") = {5};
//+
Physical Surface("output") = {27};
//+
Physical Surface("wall_y") = {14, 22};
//+
Physical Surface("wall_z") = {18, 26};
